Skala
Stock take items

Create a new stock take item

Adds a new stock take item record to the database.

POST
/api/stock_take_items

Adds a new stock take item record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockTakeItem resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_take_items" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "stockVariant": "/entity/1",
  "category": "/entity/1",
  "internalBarcode": "string",
  "supplierBarcode": "string",
  "registeredBarcode": "string",
  "batchBarcode": "string",
  "batchNumber": "string",
  "note": "string",
  "quantity": "string",
  "batch": "/entity/1",
  "stockTake": "/entity/1",
  "inStock": "string",
  "discrepancy": "string",
  "trackType": "string",
  "company": "/entity/1",
  "createdBy": "/entity/1",
  "updatedBy": "/entity/1",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z"
}
Empty
Empty